@media (max-width: 768px) {
  html {
    font-size: calc(100vw / 18);
  }
}
@media (min-width: 768px) and (max-width: 1921.99px) {
  html {
    font-size: calc(100vw / 19.2);
  }
}
@media (min-width: 1922px) and (max-width: 2558.99px) {
  html {
    font-size: calc(100vw / 22.4);
  }
}
@media (min-width: 2559px) and (max-width: 4000px) {
  html {
    font-size: calc(100vw / 25.6);
  }
}
/* 手机 */
@media (max-width: 768px) {
  /* banner */
  .banner {
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  .banner .sabuubanner {
    width: 100%;
    height: 100%;
  }
  .banner .sabuubanner .con {
    position: relative;
    height: 100vw;
  }
  .banner .sabuubanner .con .mySwiper_banner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vw;
    overflow: hidden;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide {
    width: 100% !important;
    position: relative;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide::after {
    content: '';
    position: absolute;
    inset: 0;
    z-index: 2;
    pointer-events: none;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.02), rgba(0, 0, 0, 0.1) 52%, rgba(0, 0, 0, 0.12));
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde {
    width: 100%;
    height: 100vw;
    overflow: hidden;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 100%;
    transition: 0.8s linear 1s;
    transform: scale(1);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde .viea {
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 100%;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .w-1517 {
    position: absolute;
    z-index: 3;
    top: 6.66666667rem;
    width: 100%;
    margin: 0 auto;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .w-1517 h3 {
    position: relative;
    z-index: 1;
    width: 100%;
    font-size: 1.33333333rem;
    color: #fff;
    text-align: center;
    -webkit-text-stroke: 0.012rem rgba(0, 0, 0, 0.01);
    paint-order: stroke fill;
    text-shadow: 0 0.08rem 0.22rem rgba(0, 0, 0, 0.048), 0 0.015rem 0.04rem rgba(0, 0, 0, 0.075);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide-active .tupiandde img {
    transition: 4.5s linear;
    transform: scale(1.05);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide-duplicate-active .tupiandde img {
    transition: 4.5s linear;
    transform: scale(1.05);
  }
  /* 业务范围 */
  .ywfw {
    width: 100%;
    height: 100%;
    padding: 10% 5%;
    background-color: #fff;
  }
  .ywfw .w-1520 {
    width: 100%;
    margin: 0 auto;
  }
  .ywfw .w-1520 .titles {
    font-size: 0.8rem;
    color: #815400;
    font-weight: 600;
    margin-bottom: 1.33333333rem;
  }
  .ywfw .w-1520 .pailieshuoming {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb {
    width: 100%;
    height: 15.33333333rem;
    background-color: #faf8f5;
    position: relative;
    padding: 1rem 0.66666667rem 0;
    margin-bottom: 0.66666667rem;
    transition: all 0.5s;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang {
    margin-bottom: 0.66666667rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu {
    display: flex;
    gap: 0.66666667rem;
    align-items: center;
    border-bottom: 0.03333333rem solid #333;
    padding-bottom: 0.66666667rem;
    margin-bottom: 0.66666667rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu i {
    display: block;
    width: 1.06666667rem;
    height: 1.06666667rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu i .icon {
    display: block;
    width: 1.06666667rem;
    height: 1.06666667rem;
    fill: #815400;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu h3 {
    display: block;
    font-size: 0.66666667rem;
    font-weight: 500;
    color: #000;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .contdutct {
    font-size: 0.53333333rem !important;
    color: #999 !important;
    line-height: 1.8;
    display: grid;
    gap: 0.33333333rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .contdutct * {
    font-size: 0.53333333rem !important;
    color: #999 !important;
    line-height: 1.8;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .immgvyvu {
    width: 100%;
    height: 6.66666667rem;
    overflow: hidden;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .immgvyvu img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  /* 完成时间 */
  .youqingtishi {
    position: relative;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 18.66666667rem;
    padding: 10% 5%;
  }
  .youqingtishi .journey-contact-inner {
    width: 100%;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    text-align: center;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title {
    font-size: 0.8rem !important;
    line-height: 1.8 !important;
    font-weight: 400 !important;
    color: #333 !important;
    margin: 0 auto;
    max-width: 100%;
    margin-bottom: 1.33333333rem;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title strong {
    color: #d29225 !important;
    font-weight: 600 !important;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title * {
    font-size: 0.8rem !important;
    line-height: 1.8 !important;
    font-weight: 400 !important;
    color: #333 !important;
  }
  .youqingtishi .journey-contact-inner .sacnia {
    display: flex;
    flex-wrap: wrap;
    gap: 0.66666667rem;
    font-size: 0.66666667rem;
    color: #333;
    max-width: 100%;
    margin: 0 auto;
  }
  .youqingtishi .journey-contact-inner .sacnia a {
    width: 100%;
    display: block;
    color: #333;
    font-size: 0.66666667rem;
  }
  .youqingtishi .journey-contact-inner .sacnia a:nth-child(2) {
    display: none;
  }
}
/* pc */
@media (min-width: 768px) {
  /* banner */
  .banner {
    position: sticky;
    top: 0;
    width: 100%;
    height: 80vh;
    /* ✅ 一屏 */
  }
  .banner .sabuubanner {
    width: 100%;
    height: 100%;
  }
  .banner .sabuubanner .con {
    position: relative;
    height: 100%;
  }
  .banner .sabuubanner .con .mySwiper_banner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper {
    height: 100%;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide {
    width: 100% !important;
    height: 100%;
    position: relative;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide::after {
    content: '';
    position: absolute;
    inset: 0;
    z-index: 20;
    pointer-events: none;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.08), rgba(0, 0, 0, 0.2) 52%, rgba(0, 0, 0, 0.12));
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    z-index: 10;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 100%;
    transition: 0.8s linear 1s;
    transform: scale(1);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .tupiandde .viea {
    width: 100%;
    height: 100%;
    object-fit: cover;
    min-height: 100%;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .w-1517 {
    position: absolute;
    z-index: 25;
    top: 45%;
    width: 100%;
    margin: 0 auto;
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide .w-1517 h3 {
    position: relative;
    z-index: 1;
    text-align: center;
    width: 100%;
    font-size: 0.7rem;
    color: #fff;
    -webkit-text-stroke: 0.006rem rgba(0, 0, 0, 0.34);
    paint-order: stroke fill;
    text-shadow: 0 0.05rem 0.16rem rgba(0, 0, 0, 0.1), 0 0.008rem 0.02rem rgba(0, 0, 0, 0.2);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide-active .tupiandde img {
    transition: 4.5s linear;
    transform: scale(1.05);
  }
  .banner .sabuubanner .con .mySwiper_banner .swiper-wrapper .swiper-slide-duplicate-active .tupiandde img {
    transition: 4.5s linear;
    transform: scale(1.05);
  }
  /* 业务范围 */
  .ywfw {
    position: relative;
    z-index: 2;
    width: 100%;
    height: 100%;
    padding: 1rem 0;
    background-color: #fff;
  }
  .ywfw .w-1520 {
    width: 15.2rem;
    margin: 0 auto;
  }
  .ywfw .w-1520 .titles {
    font-size: 0.3rem;
    color: #815400;
    font-weight: 600;
    margin-bottom: 0.7rem;
  }
  .ywfw .w-1520 .pailieshuoming {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb {
    width: 4.5rem;
    height: 5.5rem;
    background-color: #faf8f5;
    position: relative;
    transition: all 0.5s;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang {
    padding: 0.3rem 0.6rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu {
    display: flex;
    gap: 0.2rem;
    align-items: center;
    border-bottom: 0.01rem solid #333;
    padding-bottom: 0.2rem;
    margin-bottom: 0.2rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu i {
    display: block;
    width: 0.25rem;
    height: 0.25rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu i .icon {
    display: block;
    width: 0.25rem;
    height: 0.25rem;
    fill: #815400;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .bubugu h3 {
    display: block;
    font-size: 0.18rem;
    font-weight: 500;
    color: #000;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .contdutct {
    font-size: 0.18rem !important;
    color: #666 !important;
    line-height: 1.8;
    display: grid;
    gap: 0.1rem;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .shang .contdutct * {
    font-size: 0.18rem !important;
    color: #666 !important;
    line-height: 1.8;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .immgvyvu {
    width: 3.5rem;
    height: 2.5rem;
    position: absolute;
    right: 0;
    overflow: hidden;
    transition: all 0.5s;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb .immgvyvu img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1);
    transition: all 0.5s;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb:hover .immgvyvu {
    right: 0.48rem;
    transition: all 0.5s;
  }
  .ywfw .w-1520 .pailieshuoming .bhubhb:hover .immgvyvu img {
    transform: scale(1.05);
    transition: all 0.5s;
  }
  /* 完成时间 */
  .youqingtishi {
    position: relative;
    z-index: 3;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    padding: 1rem 0 0;
  }
  .youqingtishi .journey-contact-inner {
    width: 15.2rem;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    text-align: center;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title {
    font-size: 0.3rem !important;
    line-height: 1.8 !important;
    font-weight: 400 !important;
    color: #333 !important;
    margin: 0 auto;
    max-width: 9rem;
    margin-bottom: 0.8rem;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title strong {
    color: #d29225 !important;
    font-weight: 600 !important;
  }
  .youqingtishi .journey-contact-inner .journey-contact-title * {
    font-size: 0.3rem !important;
    line-height: 1.8 !important;
    font-weight: 400 !important;
    color: #333 !important;
  }
  .youqingtishi .journey-contact-inner .sacnia {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.2rem;
    font-size: 0.18rem;
    color: #333;
    max-width: 9rem;
    margin: 0 auto;
  }
  .youqingtishi .journey-contact-inner .sacnia a {
    display: block;
    color: #333;
    font-size: 0.18rem;
  }
}
